GEOS: geos::geom::MultiPolygon Class Reference

Public Member Functions | Protected Member Functions | Friends

# geos::geom::MultiPolygon Class Reference

Basic implementation of `MultiPolygon`. More...

`#include <MultiPolygon.h>`

Inheritance diagram for geos::geom::MultiPolygon:

List of all members.

## Public Member Functions
Dimension::DimensionType | getDimension () const
| Returns surface dimension (2)
int | getBoundaryDimension () const
| Returns 1 (MultiPolygon boundary is MultiLineString)
Geometry * | getBoundary () const
| Computes the boundary of this geometry.
std::string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
bool | isSimple () const
| Returns false if the Geometry not simple.
bool | equalsExact (const Geometry *other, double tolerance=0) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.
Geometry * | clone () const
## Protected Member Functions
| MultiPolygon (std::vector< Geometry * > *newPolys, const GeometryFactory *newFactory)
| Construct a MultiPolygon.
| MultiPolygon (const MultiPolygon &mp)
## Friends
class | GeometryFactory

## Detailed Description

Basic implementation of `MultiPolygon`.

## Constructor & Destructor Documentation

geos::geom::MultiPolygon::MultiPolygon | ( | std::vector< Geometry * > * | newPolys,
|  | const GeometryFactory * | newFactory
| ) |  | `[protected]`

Construct a MultiPolygon.

Parameters:

  newPolys | the `Polygon`s for this `MultiPolygon`, or `null` or an empty array to create the empty geometry. Elements may be empty `Polygon`s, but not `null`s. The polygons must conform to the assertions specified in the OpenGIS Simple Features Specification for SQL .

Constructed object will take ownership of the vector and its elements.

Parameters:

  newFactory | The GeometryFactory used to create this geometry Caller must keep the factory alive for the life-time of the constructed MultiPolygon.

## Member Function Documentation

Geometry* geos::geom::MultiPolygon::clone | ( | ) | const`[virtual]`

Creates and returns a full copy of this GeometryCollection object. (including all coordinates contained by it).

Returns:
  a clone of this instance

Reimplemented from geos::geom::GeometryCollection.

Geometry* geos::geom::MultiPolygon::getBoundary | ( | ) | const`[virtual]`

Computes the boundary of this geometry.

Returns:
  a lineal geometry (which may be empty)

See also:
  Geometry::getBoundary

Reimplemented from geos::geom::GeometryCollection.

The documentation for this class was generated from the following file:

- MultiPolygon.h